Name:           wingpanel
Summary:        Stylish top panel
Version:        2.0.4
Release:        1%{?dist}
License:        GPLv2+

URL:            https://github.com/elementary/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  vala >= 0.24.0

BuildRequires:  pkgconfig(gala)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(granite)

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}


%description
Stylish top panel that holds indicators and spawns an application
launcher.


%package        libs
Summary:        Stylish top panel (shared library)
%description    libs
Stylish top panel that holds indicators and spawns an application
launcher.

This package contains the shared library.


%package        devel
Summary:        Stylish top panel (development files)
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
%description    devel
Stylish top panel that holds indicators and spawns an application
launcher.

This package contains the files required for developing for wingpanel.


%prep
%autosetup


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang wingpanel

# create plugin directory
mkdir -p %{buildroot}/%{_libdir}/wingpanel

# create settings directory
mkdir -p %{buildroot}/%{_sysconfdir}/wingpanel.d


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/wingpanel.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files -f wingpanel.lang
%{_bindir}/wingpanel

%{_libdir}/gala/plugins/libwingpanel-interface.so

%{_datadir}/applications/wingpanel.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.desktop.wingpanel.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/wingpanel.svg


%files libs
%license COPYING

%dir %{_sysconfdir}/wingpanel.d
%dir %{_libdir}/wingpanel

%{_libdir}/libwingpanel-2.0.so.0
%{_libdir}/libwingpanel-2.0.so.0.2.0


%files devel
%{_includedir}/wingpanel-2.0/

%{_libdir}/libwingpanel-2.0.so
%{_libdir}/pkgconfig/wingpanel-2.0.pc

%{_datadir}/vala/vapi/wingpanel-2.0.deps
%{_datadir}/vala/vapi/wingpanel-2.0.vapi


%changelog
* Wed Sep 13 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.4-1
- Update to version 2.0.4.

* Tue May 30 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.3-1
- Update to version 2.0.3.

* Sat Apr 08 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-2
- Create and own missing settings directory.

* Fri Mar 17 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2.
- Remove upstreamed patches.

* Wed Jan 11 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-10
- Add patch to fix pkgconfig file.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-9
- Create and own plugin directory.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-8
- Split off -libs subpackage.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-7
- Don't let COPYING be executable.

* Fri Jan 06 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-6
- Clean up spec file.

* Thu Nov 17 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-5
- Add rpath workaround for f25.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-2
- Spec file cosmetics.

* Sun Aug 21 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1.

* Fri Aug 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-1
- Update to version 0.4.


